Bug 836657 - poweroff restarts
poweroff restarts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 16:27 EDT by GeoffLeach
Modified: 2013-07-31 22:11 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:11:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lshw (14.56 KB, text/x-log)
2012-06-29 16:30 EDT, GeoffLeach
no flags Details

  None (edit)
Description GeoffLeach 2012-06-29 16:27:57 EDT
Description of problem:systemctl poweroff resets


Version-Release number of selected component (if applicable):
systemd-44-14.fc17.x86_64
kernel 3.4.3-1.fc17.x86_64

How reproducible: always


Steps to Reproduce:
1.systemctl poweroff
2.bide a wee
3.system goes down as in restart, then restarts
  
Actual results:
restarts

Expected results:
power off

Additional info: windows 7 (sorry) powers off as expected. Hardware is new; F17 install is first linux. files are up-to-date. SElinux is disabled.
Comment 1 GeoffLeach 2012-06-29 16:30:38 EDT
Created attachment 595364 [details]
output of lshw
Comment 2 GeoffLeach 2012-07-01 19:16:46 EDT
BIOS interface problem? It'a Intel's, DOB 02/24/2012
Comment 3 Michal Schmidt 2012-07-02 03:57:10 EDT
Does it power off if you use "sync && poweroff -f" ?
Comment 4 GeoffLeach 2012-07-02 20:20:34 EDT
Alas, it reboots. shutdown -P reboots as well.

Could this be a problem with BIOS interface?
Comment 5 Josh Boyer 2012-07-05 15:04:22 EDT
(In reply to comment #4)
> Alas, it reboots. shutdown -P reboots as well.
> 
> Could this be a problem with BIOS interface?

It might be.

Can you remove the 'rhgb quiet' from the kernel line in the grub configuration file and see if there is anything additional printed to the screen?
Comment 6 GeoffLeach 2012-07-05 18:33:14 EDT
Alas, I blinked :-(

Seriously, the messages scroll so quickly, its impossible to read anything. Is there a way to capture the output? (I presume that you are interested in the shutdown output.)
Comment 7 Josh Boyer 2012-07-06 09:29:48 EDT
If it looks like a kernel panic, you can put 'pause_on_oops=30' on the kernel line in the grub configuration file and it should hold for 30 seconds.

On the small chance it has a serial port, you could just log everything with a serial console.
Comment 8 Michal Schmidt 2012-07-06 09:42:16 EDT
Or try this:
echo 8 > /proc/sys/kernel/printk
echo 2000 > /proc/sys/kernel/printk_delay
Comment 9 GeoffLeach 2012-07-08 21:09:00 EDT
Now, that certainly slows things down. Aside from a mention that the state S5 is being select a few lines from "Power off", there's nothing that appears to be unusual.
Comment 10 GeoffLeach 2012-07-10 02:11:25 EDT
FWIW, 'halt' halts, but does not power off. On Fedora 16, it powers off as well.It seems that this latter behavior is contrary to the man page.
Comment 11 Harald Hoyer 2012-07-12 04:36:50 EDT
Do you have the file "/run/initramfs/.need_shutdown" ??

If yes, does it help to do:

# systemctl mask dracut-shutdown.service

??
Comment 12 GeoffLeach 2012-07-12 16:16:07 EDT
I don't have "/run/initramfs/.need_shutdown" Should I? What purpose does it serve?
Comment 13 Harald Hoyer 2012-07-16 05:02:13 EDT
(In reply to comment #12)
> I don't have "/run/initramfs/.need_shutdown" Should I? What purpose does it
> serve?

If you don't have that, then it eliminates the possibility, that the dracut shutdown mechanism is responsible for your problems. Thanks!
Comment 14 GeoffLeach 2012-07-30 09:19:01 EDT
I was told by Puget Systems that the motherboard in question (Intel DH77DF) has a problem with Linux (or vice-versa). Wake On Lan (WOL) needs to be disabled for poweroff to be effective. I've confirmed this.
Comment 15 GeoffLeach 2012-07-30 15:32:43 EDT
The Intel Desktop Board status page (http://www.intel.com/support/motherboards/desktop/sb/cs-008326.htm) shows no support for this particular board. Given that it works under Windows 7, I suspect that its a glitch rather than a true bug. Perhaps someone with contacts in intel could investigate (in their spare time, of course :-)
Comment 16 Fedora End Of Life 2013-07-03 19:28:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-07-31 22:11:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.